#ifndef _LCD_LS022_H
#define _LCD_LS022_H

#define black  0,0,0       // 
#define red    255,0,0     // 
#define green  0,255,0     // 
#define blue   0,0,255     // 
#define orang  255,150,0   // 
#define yelow  255,255,0   // 
#define cyan   0,255,255   // 
#define white  255,255,255 // 

#define WR     PORTC.0
#define DC     PORTC.1
#define RES    PORTC.2
#define CS     PORTC.3
#define DAT    PORTD

#define COMMAND 0
#define DATA    1

#define RESX    RES

#define WriteByte(data, comdat) { DC = (unsigned int )comdat; DAT = (unsigned int )data; WR = 0; WR = 1;}
#define WriteData(data) { DC = 1; DAT = (unsigned int )data;  WR = 0; WR = 1;}
#define WriteUByte(data) { DAT = (unsigned int )data;  WR = 0; WR = 1;}

void LCDinit();
void LCDclear();
void lcd_fill_area( unsigned int x1,  unsigned int y1,  unsigned int x2,  unsigned int y2, char color_r, char color_g, char color_b);
void LCDchar ( unsigned int x, unsigned int y, char c, char color_r, char color_g, char color_b, char bgcolor_r, char bgcolor_g, char bgcolor_b);
void LCDtext( unsigned int x, unsigned int y, char *str, char color_r, char color_g, char color_b, char bgcolor_r, char bgcolor_g, char bgcolor_b, char m);
void LCDchislo(unsigned int x, unsigned int y, int ch, char color_r, char color_g, char color_b, char bgcolor_r, char bgcolor_g, char bgcolor_b);
void LCDpixel (unsigned int x,unsigned int y, char color_r, char color_g, char color_b);
void LCDline ( int x1, int y1, int x2, int y2, char color_r, char color_g, char color_b );
void TFT12prnit( void );
void LCD_Draw_BMP12( flash unsigned char *bmp);
void read_bmp (char* bmp);

#endif